summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.3.7.ebuild69
-rw-r--r--dev-python/blessed/metadata.xml1
-rw-r--r--dev-python/doctest-ignore-unicode/doctest-ignore-unicode-0.1.2-r1.ebuild18
-rw-r--r--dev-python/pyparsing/Manifest1
-rw-r--r--dev-python/pyparsing/pyparsing-3.0.7.ebuild44
-rw-r--r--dev-python/sqlalchemy/Manifest1
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.31.ebuild72
8 files changed, 207 insertions, 0 deletions
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index faf93f643928..8259f61c366a 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -2,3 +2,4 @@ DIST aesara-rel-2.3.3.tar.gz 8179684 BLAKE2B ef738190e4169d43bb2323ee9425a1fc6d9
DIST aesara-rel-2.3.4.tar.gz 8179596 BLAKE2B 972e05a64da709e171be63d7c077f8b7b00fa3fefb5c0908db0770d6f41afb0960c3659c81a51db37c6ce77ccfef9153de1a47dcf44aa65e9a641c53a74de81e SHA512 1e926a2f9100bf44cf02a6b4ff9563835da64ae62afa0cd43046cfd5b5bbba7f9270ef755a5e9a2a9397626a0e8f9e654df075ec5b5e0629d60c52bfc1d61119
DIST aesara-rel-2.3.5.tar.gz 8186163 BLAKE2B 04d3c020d7eb68a5d88ba98156fcc5899e019ba747864a4b679074298fddccd6a6fc531c32304f0b5c7a4cc947a864e588a54399e85d30e97972fe8fd9cd9c97 SHA512 97bebb811ef79959106581a5b4021be5d63bb3aaecdf8b8d045de0a8587e795f4d564f19f50c62d65e42bad6c07b0aa81bd0b295f2fbd23fcd58e7347f811439
DIST aesara-rel-2.3.6.tar.gz 8188713 BLAKE2B a8c9309fdd11e265f73651f1b5e6abac099b12a9cd266200c895f6b235d40eb6a9fa1eb19b9fd8db1c7b0577d1aab8ad4e75093782dd0f6bb9b3b068d4215329 SHA512 ebd55a6738730219d8609d34f2671a381a384c1457860c1bf8f989273456feabe08fa8d5630014c19f40f65b3b220919410649cfba4bea8f3379d939e22474b9
+DIST aesara-rel-2.3.7.tar.gz 8192378 BLAKE2B 586a8dc0f676ed8ec15f884eacd383be8cf5b2ec42d932ad41c5759c2fff922bcfa0ea8a1d8ca1b10c35232877318d0c344ecfe15239f8ba57fed660323a8db5 SHA512 fb01552538845035481a7c00ad71537401da3be7f24e4fd1dc2677a47eda846240f55ff78ce7955b89a8e80c92541335d6d44944c4463b56a25747f373651e9a
diff --git a/dev-python/aesara/aesara-2.3.7.ebuild b/dev-python/aesara/aesara-2.3.7.ebuild
new file mode 100644
index 000000000000..43e64a0bee8c
--- /dev/null
+++ b/dev-python/aesara/aesara-2.3.7.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="https://github.com/aesara-devs/aesara"
+SRC_URI="https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package numba
+ tests/link/test_numba.py
+ tests/link/test_numba_performance.py
+ )
+
+ epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/blessed/metadata.xml b/dev-python/blessed/metadata.xml
index 267c63211fd7..c9612c6234d0 100644
--- a/dev-python/blessed/metadata.xml
+++ b/dev-python/blessed/metadata.xml
@@ -10,4 +10,5 @@
<bugs-to>https://github.com/jquast/blessed/issues</bugs-to>
</upstream>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/doctest-ignore-unicode/doctest-ignore-unicode-0.1.2-r1.ebuild b/dev-python/doctest-ignore-unicode/doctest-ignore-unicode-0.1.2-r1.ebuild
new file mode 100644
index 000000000000..a79727256b22
--- /dev/null
+++ b/dev-python/doctest-ignore-unicode/doctest-ignore-unicode-0.1.2-r1.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Add flag to ignore unicode literal prefixes in doctests"
+HOMEPAGE="https://pypi.org/project/doctest-ignore-unicode/ https://github.com/gnublade/doctest-ignore-unicode"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests nose
diff --git a/dev-python/pyparsing/Manifest b/dev-python/pyparsing/Manifest
index a319dc21b02f..9cee19b2620d 100644
--- a/dev-python/pyparsing/Manifest
+++ b/dev-python/pyparsing/Manifest
@@ -1,2 +1,3 @@
DIST pyparsing_2.4.7.tar.gz 648158 BLAKE2B 24525b4ee7876e245b9eb270f0e3e22fe2d8b398f9777ad3b3657b8a1227dcbd25983aa64a3f3018debdbffc1a042c732e6b3a09800e081c7acac7b97da15317 SHA512 c7a546729f86a2b5176e2482b566b9fd715b03e495aaef4d720b21307bb03f385dbc849247f8d266cb3d92be0a83c34ce4995b655ce85318355d5a0d42d6991e
DIST pyparsing_3.0.6.tar.gz 942509 BLAKE2B 1ece2e83dd4193c8364bf690afc54090b46658fced62fc852b0098208d2ae4b18e96f050e63d8751c4b5cf95aa178a11dd1c37fc9d63ae1551639b5c91fe81d8 SHA512 5e94f1dcb4560a0f8e5b9a979b691b6362939648d03e9ea03f74e3aeeddafc09029c8e82c42a517aebe4a0483fd06cac03ae45030e074a40576f9570ed1eb5cc
+DIST pyparsing_3.0.7.tar.gz 944917 BLAKE2B bcbcd18817c69a69ac6863affb1309a5ca63fe46a45dc056d8407d79a77d1f19e4d1abce08f5d6f1aff7cbdaefb5b699787abcddfcbf64e5514e79e2b0b86ce6 SHA512 d5d5547188ebda6fb7f45928174314d3d4d10302acc8fb476cd6590fb4a75167dee5f6397ab0b63efd4cb55c0765708ffd432bcfecf28d8f808815e62615f447
diff --git a/dev-python/pyparsing/pyparsing-3.0.7.ebuild b/dev-python/pyparsing/pyparsing-3.0.7.ebuild
new file mode 100644
index 000000000000..365715f4f155
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-3.0.7.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2004-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+MY_P=${P/-/_}
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="https://github.com/pyparsing/pyparsing https://pypi.org/project/pyparsing/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${MY_P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # railroad-diagrams not packaged (and not suitable for packaging yet)
+ tests/test_diagram.py
+)
+
+EPYTEST_DESELECT=(
+ # also railroad-diagrams
+ tests/test_unit.py::Test02_WithoutPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test04_WithPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test06_WithBoundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test08_WithUnboundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test09_WithLeftRecursionParsing::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test10_WithLeftRecursionParsingBoundedMemo::testEmptyExpressionsAreHandledProperly
+)
+
+python_install_all() {
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index 95e29e18190e..e9b39a136c9d 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -4,3 +4,4 @@ DIST SQLAlchemy-1.4.27.tar.gz 7907686 BLAKE2B a9751a82e81bcdcf1bd344f0275c0ff89d
DIST SQLAlchemy-1.4.28.tar.gz 7968048 BLAKE2B 1e08eefd5a6abbff5c7f7a09a67eb144e6e863b94c33224808507aa1c4392b0895ab4bd02a091c1b439fca1e0312d1f6c29c605fe5c8699438c9694603502b67 SHA512 26f88df36fd91aea40c1f5e233a3da962d2d28b47f9b3157f537ea1f6bc4dac43f7037025b55511eaaa377ffb05f5c5bd1e1c69596b58c1f193e98f437c0c831
DIST SQLAlchemy-1.4.29.tar.gz 7974880 BLAKE2B 8f9e06168f17ca1cf3f75a00f57fdc0cef0eaf014503233249b4185a5d87dac9870ffabae0c9b93de710f6893231bb020b3b157c29bf672823d3d0b8fa59970c SHA512 40f7b30db6c080061aa2d38c8257c1d9df4cd5a99425becc89ffb339bd764f60c6174fc85fc2dad8be248baf8e78c20b9ac28a5ddff0f58033fa7756517bb50f
DIST SQLAlchemy-1.4.30.tar.gz 7997128 BLAKE2B 2ec7490d481b6e605e4f25bb3462be751268acd2e8c70b1c6febb9736d0fc3cfd3f09188a3a3f1860e78fa80e49bd27d68db75c6cbad45a3df6a61c6946d4a26 SHA512 13b80779b30a10af7f173ad162d54d38d807e7372d381f7b96adf2f728ccf20bb6a86d8f8b06ec828e71d0b4aa22d022686d290ea6b03629564f0fb2a80eca80
+DIST SQLAlchemy-1.4.31.tar.gz 7999646 BLAKE2B 4c394aaa4bc5636cc90f06017466c227b5e16fc54c3a9a42b18cc13906640e4710146325e870598f8905074bf6dad42ea524febc029b1dd5f063e978ebc9a442 SHA512 e54261fcf992845b2e6be47d23f530aec28c7517e6741b1b6a101b9888d3dc3162c1eeab0acc1edb33f56f1360bae3cdccdbcbff0e1e88e477c93d0cd910c17c
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.31.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.31.ebuild
new file mode 100644
index 000000000000..7d035326706c
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.31.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature
+
+MY_PN="SQLAlchemy"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="https://www.sqlalchemy.org/ https://pypi.org/project/SQLAlchemy/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+)
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" dev-python/mysqlclient dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "mssql support" dev-python/pymssql
+ optfeature "postgresql support" dev-python/psycopg:2
+}